<main class="container">
    <div class="flex flex-col my-6">
		<div class="py-2 -my-2 overflow-x-auto sm:-mx-6 sm:px-6 lg:-mx-8 lg:px-8">
			<div class="inline-block min-w-full overflow-hidden align-middle border-b border-gray-200 shadow sm:rounded-lg">
				<input type="text" name="searchTableProto" placeholder="Recherchez parmi la protozone">
				<table id="searchTableProto" class="min-w-full">
					<caption class="text-left text-xl m-3 font-bold">Administration de la <span class="text-violet uppercase ">Protozone</span></caption>
					<thead>
						<tr>
							<th class="px-6 py-3 text-xs font-medium leading-4 tracking-wider text-left text-gray-500 uppercase border-b border-gray-200 bg-gray-50">
								Prénom
							</th>
							<th class="px-6 py-3 text-xs font-medium leading-4 tracking-wider text-left text-gray-500 uppercase border-b border-gray-200 bg-gray-50">
								Nom
							</th>
							<th class="px-6 py-3 text-xs font-medium leading-4 tracking-wider text-left text-gray-500 uppercase border-b border-gray-200 bg-gray-50">
								Adresse email
							</th>
							<th class="px-6 py-3 text-xs font-medium leading-4 tracking-wider text-left text-gray-500 uppercase border-b border-gray-200 bg-gray-50">
								Numéro de téléphone
							</th>
                            <th class="px-6 py-3 text-xs font-medium leading-4 tracking-wider text-left text-gray-500 uppercase border-b border-gray-200 bg-gray-50">
								Société
							</th>
                            <th class="px-6 py-3 text-xs font-medium leading-4 tracking-wider text-left text-gray-500 uppercase border-b border-gray-200 bg-gray-50">
								Rôle
							</th>
							<th class="px-6 py-3 text-xs font-medium leading-4 tracking-wider text-left text-gray-500 uppercase border-b border-gray-200 bg-gray-50">
								Participation à la Garden Party
							</th>
							<th class="px-6 py-3 text-xs font-medium leading-4 tracking-wider text-left text-gray-500 uppercase border-b border-gray-200 bg-gray-50">
								Besoin d'un hébergement
							</th>
						</tr>
					</thead>

					<tbody id="tbodytableProto" class="bg-white">
						{% if listeProtos|length > 0 %}
							{% for e in range(0, listeProtos|length - 1) %}
								{% set proto = listeProtos[e] %}
								<tr class="{{ e }}">
									<td class="px-6 py-4 text-sm leading-5 text-gray-500 whitespace-no-wrap border-b border-gray-200">
										{{ proto.surname }}
									</td>
									<td class="px-6 py-4 text-sm leading-5 text-gray-500 whitespace-no-wrap border-b border-gray-200">
										{{ proto.name }}
									</td>
									<td class="px-6 py-4 text-sm leading-5 text-gray-500 whitespace-no-wrap border-b border-gray-200">
										{{ proto.email }}
									</td>
									<td class="px-6 py-4 text-sm leading-5 text-gray-500 whitespace-no-wrap border-b border-gray-200">
										{{ proto.phone }}
									</td>
									<td class="px-6 py-4 text-sm leading-5 text-gray-500 whitespace-no-wrap border-b border-gray-200">
										{{ proto.society }}
									</td>
									<td class="px-6 py-4 text-sm leading-5 text-gray-500 whitespace-no-wrap border-b border-gray-200">
										{% for role in proto.roles %}
											{{ role == 'ROLE_RESPONSABLE' ? 'Responsable' : ''}}
											{{ role == 'ROLE_SALARIE ' ? 'Salarié' : ''}}
										{% endfor %}
									</td>
									<td class="px-6 py-4 whitespace-no-wrap border-b border-gray-200">
										{% if proto.gardenParty %}
											<span class="inline-flex px-2 text-xs font-semibold leading-5 text-green-800 bg-green-100 rounded-full">
												Oui
											</span>

										{% else %}
											<span class="inline-flex px-2 text-xs font-semibold leading-5 text-red-800 bg-red-100 rounded-full">
												Non
											</span>
										{% endif %}
									</td>
									<td class="px-6 py-4 whitespace-no-wrap border-b border-gray-200">
										{% if proto.hosting %}
											<span class="inline-flex px-2 text-xs font-semibold leading-5 text-green-800 bg-green-100 rounded-full">
												Oui
											</span>

										{% else %}
											<span class="inline-flex px-2 text-xs font-semibold leading-5 text-red-800 bg-red-100 rounded-full">
												Non
											</span>
										{% endif %}
									</td>
								</tr>
                        	{% endfor %}
						{% endif %}
					</tbody>
				</table>
			</div>
		</div>
		<div id="tableProto" class="paginate">
			{% for i in range(1, (listeProtos|length / 10)|round(0,"ceil")) %}
				{% if i > 0 %}
					<p>{{ i }}</p>
				{% endif %}
			{% endfor %}
		</div>
	</div>
</main>
